import { FloorFurniture } from "../FloorFurniture";
import { WallFurniture } from "../WallFurniture";
import { FurnitureVisualization } from "./FurnitureVisualization";
/**
 * FurnitureGuildCustomizedVisualization class for the guild furnitures.
 *
 * @class
 * @memberof Scuti
 */
export declare class FurnitureGuildCustomizedVisualization extends FurnitureVisualization {
    /**
     * The primary color.
     *
     * @member {number}
     * @private
     */
    private _primaryColor;
    /**
     * The secondary color.
     *
     * @member {number}
     * @private
     */
    private _secondaryColor;
    /**
     * @param {FloorFurniture | WallFurniture} [furniture] - The furniture instance.
     */
    constructor(furniture: FloorFurniture | WallFurniture);
    /**
     * Reference to the primary color.
     *
     * @member {number}
     * @readonly
     * @public
     */
    get primaryColor(): number;
    /**
     * Update the primary color.
     *
     * @param {number} [color] - The new primary color.
     * @public
     */
    set primaryColor(color: number);
    /**
     * Reference to the secondary color.
     *
     * @member {number}
     * @readonly
     * @public
     */
    get secondaryColor(): number;
    /**
     * Update the secondary color.
     *
     * @param {number} [color] - The new secondary color.
     * @public
     */
    set secondaryColor(color: number);
}
