import { FurnitureVisualization } from "./FurnitureVisualization";
/**
 * FurnitureGuildCustomizedVisualization class for the guild furnitures.
 *
 * @class
 * @memberof Scuti
 */
export class FurnitureGuildCustomizedVisualization extends FurnitureVisualization {
    /**
     * @param {FloorFurniture | WallFurniture} [furniture] - The furniture instance.
     */
    constructor(furniture) {
        super(furniture);
        /**
         * The primary color.
         *
         * @member {number}
         * @private
         */
        this._primaryColor = 0xFFFFFF;
        /**
         * The secondary color.
         *
         * @member {number}
         * @private
         */
        this._secondaryColor = 0xFFFFFF;
    }
    /**
     * Reference to the primary color.
     *
     * @member {number}
     * @readonly
     * @public
     */
    get primaryColor() {
        return this._primaryColor;
    }
    /**
     * Update the primary color.
     *
     * @param {number} [color] - The new primary color.
     * @public
     */
    set primaryColor(color) {
        this._primaryColor = color;
        this.furniture.view.update();
    }
    /**
     * Reference to the secondary color.
     *
     * @member {number}
     * @readonly
     * @public
     */
    get secondaryColor() {
        return this._secondaryColor;
    }
    /**
     * Update the secondary color.
     *
     * @param {number} [color] - The new secondary color.
     * @public
     */
    set secondaryColor(color) {
        this._secondaryColor = color;
        this.furniture.view.update();
    }
}
//# sourceMappingURL=FurnitureGuildCustomizedVisualization.js.map