import { FloorFurniture } from "../FloorFurniture";
import { WallFurniture } from "../WallFurniture";
/**
 * FurnitureVisualization class for the furniture visualization.
 *
 * @class
 * @memberof Scuti
 */
export declare class FurnitureVisualization {
    /**
     * The furniture instance that is the parent of the part.
     *
     * @member {FloorFurniture | WallFurniture}
     * @private
     */
    private _furniture;
    /**
     * @param {FloorFurniture | WallFurniture} [furniture] - The furniture instance.
     */
    constructor(furniture: FloorFurniture | WallFurniture);
    /**
     * Reference to the furniture.
     *
     * @member {FloorFurniture | WallFurniture}
     * @readonly
     * @public
     */
    get furniture(): FloorFurniture | WallFurniture;
}
