import { IPointData, Sprite, Texture } from "pixi.js";
/**
 * HitSprite class that manage the interactions with sprite transparency.
 *
 * @class
 * @memberof Scuti
 */
export declare class HitSprite extends Sprite {
    /**
     * The sprite interactivity.
     *
     * @member {boolean}
     * @public
     */
    interactive: boolean;
    /**
     * The global sprite position in the canvas.
     *
     * @member {{ x: number, y: number }}
     * @public
     */
    getGlobalPosition: () => {
        x: number;
        y: number;
    };
    /**
     * The hit texture that contains the hit map data.
     *
     * @member {HitTexture}
     * @private
     */
    private _hitTexture;
    /**
     * @param {Texture} [texture] - The texture that will be converted into a hit texture.
     */
    constructor(texture: Texture);
    /**
     * Return a boolean indicating if the pointer is on the sprite.
     *
     * @return {boolean}
     * @public
     */
    containsPoint(point: IPointData): boolean;
}
