import { Container } from "pixi.js";
/**
 * RoomObject class that is extended by the avatars or furnitures.
 *
 * @class
 * @memberof Scuti
 */
export class RoomObject extends Container {
    /**
     * Destroy the room object and remove it from the canvas
     *
     * @return {void}
     * @public
     */
    destroy() {
        // TODO: Code this part
    }
    /**
     * Reference to the room object room instance.
     *
     * @member {Room}
     * @readonly
     * @public
     */
    get room() {
        return this._room;
    }
    /**
     * Update the current room instance.
     *
     * @param {Room} [room] - The new room instance.
     * @public
     */
    set room(room) {
        this._room = room;
    }
    /**
     * Reference to the room animation ticker instance.
     *
     * @member {Ticker}
     * @readonly
     * @public
     */
    get animationTicker() {
        return this._room.view.animationTicker;
    }
}
//# sourceMappingURL=RoomObject.js.map