import { Material } from "./Material";
import { Scuti } from "../../../Scuti";
export declare class WallMaterial extends Material {
    /**
     * The game engine instance that the room will be using to render texture.
     *
     * @member {Scuti}
     * @private
     */
    private readonly _engine;
    /**
     * The material id from materials.json.
     *
     * @member {number}
     * @private
     */
    private readonly _id;
    /**
     * @param {Scuti} [engine] - The scuti engine instance to use.
     * @param {number} [id] - The id of the material (it can be found into materials.json).
     **/
    constructor(engine: Scuti, id: number);
    /**
     * Load the material.
     *
     * @return {void}
     * @private
     */
    private _load;
}
