import { Container } from "pixi.js";
import { Room } from "../Room";
import { ICursorConfiguration, IPosition3D } from "../../../interfaces/Room.interface";
/**
 * Cursor class that show up when we move the cursor on a room tile.
 *
 * @class
 * @memberof Scuti
 */
export declare class Cursor extends Container {
    /**
     * The room instance where the cursor will be drawn.
     *
     * @member {Room}
     * @private
     */
    private _room;
    /**
     * The cursor position.
     *
     * @member {IPosition3D}
     * @private
     */
    private _position;
    /**
     * @param {Room} [room] - The room instance where the cursor will be drawn.
     * @param {ICursorConfiguration} [configuration] - The tile configuration.
     * @param {IPosition3D} [configuration.position] - The cursor position.
     **/
    constructor(room: Room, configuration: ICursorConfiguration);
    /**
     * Draw the cursor.
     *
     * @return {void}
     * @private
     */
    private _draw;
    moveTo(position: IPosition3D): void;
}
