import { Assets } from "pixi.js";
/**
 * Loads assets from a certain domain
 *
 * @class
 * @memberof Scuti
 */
export class AssetLoader {
    static async load(key, url, onUncached) {
        if (Assets.get(key) === undefined) {
            if (onUncached) {
                onUncached();
            }
            Assets.add(key, AssetLoader.domain + url);
            await Assets.load(key);
        }
    }
}
AssetLoader.domain = "http://localhost:8081/";
//# sourceMappingURL=AssetLoader.js.map